public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joerg Bornkessel (hd_brummy)" <hd_brummy@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog vdr-plugin-2.eclass
Date: Thu,  3 Jan 2013 20:30:47 +0000 (UTC)	[thread overview]
Message-ID: <20130103203047.3E1CC2171D@flycatcher.gentoo.org> (raw)

hd_brummy    13/01/03 20:30:47

  Modified:             ChangeLog vdr-plugin-2.eclass
  Log:
  fixed mistake for emake:-all emake:-install between old and new plugin makefile structur, vdr-plugin-2.eclass

Revision  Changes    Path
1.593                eclass/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.593&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.593&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.592&r2=1.593

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.592
retrieving revision 1.593
diff -u -r1.592 -r1.593
--- ChangeLog	3 Jan 2013 19:22:05 -0000	1.592
+++ ChangeLog	3 Jan 2013 20:30:47 -0000	1.593
@@ -1,6 +1,10 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.592 2013/01/03 19:22:05 alonbl Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.593 2013/01/03 20:30:47 hd_brummy Exp $
+
+  03 Jan 2013; Joerg Bornkessel <hd_brummy@gentoo.org> vdr-plugin-2.eclass:
+  fixed mistake for emake:-all emake:-install between old and new plugin
+  makefile structur, vdr-plugin-2.eclass
 
   03 Jan 2013; Alon Bar-Lev <alonbl@gentoo.org> ssl-cert.eclass:
   Support mandatory enrollment and custom USE flag, bug#319529.



1.18                 eclass/vdr-plugin-2.eclass

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/vdr-plugin-2.eclass?rev=1.18&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/vdr-plugin-2.eclass?rev=1.18&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/vdr-plugin-2.eclass?r1=1.17&r2=1.18

Index: vdr-plugin-2.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/vdr-plugin-2.eclass,v
retrieving revision 1.17
retrieving revision 1.18
diff -u -r1.17 -r1.18
--- vdr-plugin-2.eclass	31 Dec 2012 19:49:41 -0000	1.17
+++ vdr-plugin-2.eclass	3 Jan 2013 20:30:47 -0000	1.18
@@ -1,6 +1,6 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vdr-plugin-2.eclass,v 1.17 2012/12/31 19:49:41 hd_brummy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vdr-plugin-2.eclass,v 1.18 2013/01/03 20:30:47 hd_brummy Exp $
 
 # @ECLASS: vdr-plugin-2.eclass
 # @MAINTAINER:
@@ -543,26 +543,14 @@
 			fi
 			cd "${S}"
 
-			local SOFILE_STRING=$(grep SOFILE Makefile)
-			if [[ -n ${SOFILE_STRING} ]]; then
-			dev_check "compiling with new Makefile handling"
-			BUILD_TARGETS=${BUILD_TARGETS:-${VDRPLUGIN_MAKE_TARGET:-install }}
-				emake ${BUILD_PARAMS} \
-					${BUILD_TARGETS} \
-					LOCDIR="${TMP_LOCALE_DIR}" \
-					LIBDIR="${S}" \
-					TMPDIR="${T}" \
-					|| die "emake failed"
-			else
-			dev_check "compiling with old Makefile handling"
 			BUILD_TARGETS=${BUILD_TARGETS:-${VDRPLUGIN_MAKE_TARGET:-all }}
 				emake ${BUILD_PARAMS} \
 					${BUILD_TARGETS} \
 					LOCALEDIR="${TMP_LOCALE_DIR}" \
+					LOCDIR="${TMP_LOCALE_DIR}" \
 					LIBDIR="${S}" \
 					TMPDIR="${T}" \
 					|| die "emake failed"
-			fi
 			;;
 		esac
 
@@ -603,9 +591,33 @@
 
 	cd "${S}"
 
+	local SOFILE_STRING=$(grep SOFILE Makefile)
+	if [[ -n ${SOFILE_STRING} ]]; then
+		dev_check "installing with new Makefile handling"
+		BUILD_TARGETS=${BUILD_TARGETS:-${VDRPLUGIN_MAKE_TARGET:-install }}
+		einstall ${BUILD_PARAMS} \
+			${BUILD_TARGETS} \
+			LOCDIR="${TMP_LOCALE_DIR}" \
+			LIBDIR="${S}" \
+			TMPDIR="${T}" \
+			DESTDIR="${D}" \
+			|| die "einstall (makefile target) failed"
+	fi
+
 	insinto "${VDR_PLUGIN_DIR}"
 	doins libvdr-*.so.*
 
+	if [[ -d ${TMP_LOCALE_DIR} ]]; then
+		einfo "Installing locales"
+		cd "${TMP_LOCALE_DIR}"
+
+		local linguas
+		for linguas in ${LINGUAS[*]}; do
+		insinto "${LOCDIR}"
+		cp -r --parents ${linguas}* ${D}/${LOCDIR}
+		done
+	fi
+
 	# create list of all created plugin libs
 	vdr_plugin_list=""
 	local p_name
@@ -618,15 +630,6 @@
 	create_header_checksum_file ${vdr_plugin_list}
 	create_plugindb_file ${vdr_plugin_list}
 
-	if [[ -d ${TMP_LOCALE_DIR} ]]; then
-		einfo "Installing locales"
-		cd "${TMP_LOCALE_DIR}"
-		local linguas
-		for linguas in ${LINGUAS[*]}; do
-			insinto "${LOCDIR}"
-			cp -r --parents ${linguas}* ${D}/${LOCDIR}
-		done
-	fi
 
 	cd "${S}"
 	local docfile





             reply	other threads:[~2013-01-03 20:31 UTC|newest]

Thread overview: 29+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-01-03 20:30 Joerg Bornkessel (hd_brummy) [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-01-05 18:15 [gentoo-commits] gentoo-x86 commit in eclass: ChangeLog vdr-plugin-2.eclass Joerg Bornkessel (hd_brummy)
2015-01-05 10:26 Joerg Bornkessel (hd_brummy)
2015-01-04 21:16 Joerg Bornkessel (hd_brummy)
2014-02-08  0:56 Joerg Bornkessel (hd_brummy)
2014-01-25 15:23 Joerg Bornkessel (hd_brummy)
2014-01-24 13:51 Joerg Bornkessel (hd_brummy)
2013-10-07 12:21 Joerg Bornkessel (hd_brummy)
2013-04-13 19:07 Joerg Bornkessel (hd_brummy)
2013-03-30 20:14 Joerg Bornkessel (hd_brummy)
2013-03-05  9:09 Joerg Bornkessel (hd_brummy)
2013-01-27 13:32 Joerg Bornkessel (hd_brummy)
2013-01-27 10:17 Joerg Bornkessel (hd_brummy)
2013-01-04 13:23 Joerg Bornkessel (hd_brummy)
2012-12-31 19:49 Joerg Bornkessel (hd_brummy)
2012-12-31 18:53 Joerg Bornkessel (hd_brummy)
2012-12-31  9:27 Joerg Bornkessel (hd_brummy)
2012-12-29 17:47 Joerg Bornkessel (hd_brummy)
2012-09-29 19:38 Joerg Bornkessel (hd_brummy)
2012-09-17 19:32 Joerg Bornkessel (hd_brummy)
2012-08-05 19:26 Joerg Bornkessel (hd_brummy)
2012-06-27 18:54 Joerg Bornkessel (hd_brummy)
2012-06-10 14:59 Joerg Bornkessel (hd_brummy)
2012-06-10 14:21 Joerg Bornkessel (hd_brummy)
2012-05-25 19:56 Joerg Bornkessel (hd_brummy)
2012-05-20 20:34 Joerg Bornkessel (hd_brummy)
2012-05-20 17:33 Joerg Bornkessel (hd_brummy)
2012-04-29 15:03 Joerg Bornkessel (hd_brummy)
2012-04-29 13:05 Joerg Bornkessel (hd_brummy)

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20130103203047.3E1CC2171D@flycatcher.gentoo.org \
    --to=hd_brummy@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox